    The XSPEC constant model: energy-independent factor.

xsconstant
The xsconstant model is a multiplicative model component.

The model is described at [1] .

>>> create_model_component("xsconstant", "mdl")
>>> print(mdl)

Create a component of the xsconstant model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.factor thawed 1 0 1e+10

ATTRIBUTES

The attribute for this object is:

Attribute
Definition
factor
The value of the model.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelConstant.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023